/**************************************************************************
 *
 * QueryParser.h -- Query parser for a simple query language
 * Copyright (C) 2000  Rodger McNab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: GSDLQueryParser.h 1127 2000-04-18 04:09:11Z kjm18 $
 *
 **************************************************************************/

#ifndef GSDLQUERYPARSER_H
#define GSDLQUERYPARSER_H

#include "UCArray.h"
#include "MGQuery.h"

// returns NULL if the query could not be parsed
QueryNode *ParseQuery (const UCArray &queryStr);

#endif
